View Issue Details

IDProjectCategoryView StatusLast Update
00304162.x IDE BugsCode EditorPublic2019-10-04 16:31
ReporterMark AlexanderAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status AssignedResolutionOpen 
Product VersionInternal Build 
Target VersionFixed in Version 
Summary0030416: Syntax Checker: Enums and compatibility scripts show referenced-only-once / unassigned variable errors
DescriptionAfter importing a GMS1.4 project into GMS2, I was greeted with a huge number of syntax errors related to unassigned variables and variables that were referenced only once. All these errors were triggered by the compatibility scripts and the inability of the updated syntax checker to correctly parse the compatibility enums and scripts.
Steps To ReproduceImport a GMS1.4 project (one that uses VIEWS preferably)
Note all the new syntax errors
TagsNo tags attached.
2.x IDE Found In
2.x Runtime Found In
2.x IDE Verified In
2.x Runtime Verified In

Activities

Mark Alexander

2019-01-12 22:38

Developer  

Screenshot 2019-01-12 23.34.08.png (314,578 bytes)

Russell Kay

2019-08-23 17:25

Manager   ~0064635

NOTE these all disappear when the project is loaded again so it is more to do with the dynamic creation of the assets in the conversion process (I suspect this will be fixed in 2.3 with the new import process for the projects).